/**
 *******************************************************************************
 * @file    tmpm066_aoreg.h
 * @brief   This file provides all the functions prototypes for AOREG driver.
 * @version V2.0.2.1
 * @date    2015/10/14
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LISENCE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA CORPORATION 2015 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM066_AOREG_H
#define __TMPM066_AOREG_H

#ifdef __cplusplus
extern "C" {
#endif                          /* __cplusplus */

/* Includes ------------------------------------------------------------------*/
#include "TMPM066.h"
#include "tx00_common.h"

/** @addtogroup TX00_Periph_Driver
  * @{
  */

/** @addtogroup AOREG
  * @{
  */

/** @addtogroup AOREG_Exported_types
  * @{
  */                                      
    typedef union {
        uint8_t All;
        struct {
            uint8_t PowerOnReset:1;
            uint8_t Reserved1:2;
            uint8_t PinReset:1;              
            uint8_t Reserved2:1;
            uint8_t LVDReset:1;            	
            uint8_t Reserved3:2;
         } Bit;
    } AO_ResetFlag;

    typedef union {
        uint8_t All;
        struct {
            uint8_t DebugReset:1;
            uint8_t Reserved1:1;
            uint8_t WDTReset:1;              
            uint8_t Reserved2:5;
         } Bit;
    } AO_ResetFlag1; 
               
/** @} */
/* End of group AOREG_Exported_types */

/** @defgroup AOREG_Exported_FunctionPrototypes
  * @{
  */
    void AO_ClearPORFRSTF(void);
    void AO_ClearPINRSTF(void);    
    void AO_ClearLVDRSTF(void);    
    void AO_ClearSYSRSTF(void); 
    void AO_ClearWDTRSTF(void);
    AO_ResetFlag AO_GetResetFlag(void); 
    AO_ResetFlag1 AO_GetResetFlag1(void);
    
/** @} */
/* End of group AOREG_Exported_FunctionPrototype */

/** @} */
/* End of group AOREG */

/** @} */
/* End of group TX00_Periph_Driver */

#ifdef __cplusplus
}
#endif                          /* __cplusplus */
#endif                          /* __TMPM066_AOREG_H */
