/**
 *******************************************************************************
 * @file    main.h
 * @brief   the application functions of CG demo for the TOSHIBA
 *          'TMPM066' Device Series 
 * @version V0.100
 * @date    2015/09/29
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LISENCE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA CORPORATION 2015 All rights reserved
 *******************************************************************************
 */
#ifndef __MAIN_H
#define __MAIN_H
/* Includes ------------------------------------------------------------------*/
#include "tmpm066_gpio.h"
#include "tmpm066_cg.h"
#include "tmpm066_intifao.h"
#include "sw.h"
#include "led.h"

/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Set External interrupt pin's PORT/Bit, Interrupt Number */
#define     GPIO_ExtINTSrc          GPIO_PA
#define     Bit_ExtINTSrc           GPIO_BIT_5
#define     INTIFAO_ExtINTSrc       INTIFAO_INT_SRC_1
#define     ExtINTSrc_IRQn          INT1_IRQn
#define     ExtINTSrc_IRQHandler    INT1_IRQHandler

#define     LED_EXT                 LED1
#define     LED_OTHER               LED0
#define     LED_SW                  LED0

#define     CG_SW                   SW1

/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* External function prototypes ----------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/
void GPIO_ExtIntSrc(void);
void enter_IDLE(void);

#endif
/*********************************** END OF FILE ******************************/
