/**
 *******************************************************************************
 * @file    main.h
 * @brief   the application functions of CG demo for the TOSHIBA
 *          'TMPM066' Device Series 
 * @version V0.100
 * @date    2015/10/22
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LISENCE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA CORPORATION 2015 All rights reserved
 *******************************************************************************
 */
#ifndef __MAIN_H
#define __MAIN_H
/* Includes ------------------------------------------------------------------*/
#include "tmpm066_gpio.h"
#include "tmpm066_cg.h"
#include "tmpm066_intifao.h"
#include "tmpm066_aoreg.h"
#include "sw.h"
#include "led.h"
#include "lcd.h"

/* Private define ------------------------------------------------------------*/
/* Set External interrupt pin's PORT/Bit, Interrupt Number */
#define     GPIO_ExtINTSrc          GPIO_PF
#define     Bit_ExtINTSrc           GPIO_BIT_0
#define     ExtINTSrc_IRQHandler    INT5_IRQHandler
#define     CG_ExtINTSrc            INTIFAO_INT_SRC_5
#define     ExtINTSrc_IRQn          INT5_IRQn

#define     LED_EXT                 LED1
#define     LED_OTHER               LED0
#define     LED_SW                  LED1

#define     CG_SW                   SW1

/* Define clocks */
#define WDT_DISABLE				((uint32_t)0x00000000)
#define WDT_DISABLE_CODE		((uint32_t)0x000000B1)

#define SR_BUSY_FLAG            ((uint32_t)0x00000000)
#define SR_BUSY_MASK            ((uint32_t)0x00000001)

#define CG_WUODR_EXT            ((uint16_t)0xC350)
#define CG_WUODR_INT            ((uint16_t)0xC350)
#define CG_WUODR_PLL            ((uint16_t)0xC350)

#define CG_OSCCR_EOSCEN_UNUSE	((uint32_t)0xFFFFFFF9)
#define CG_OSCCR_EOSCEN_EHOSC   ((uint32_t)0x00000002)

/* Private function prototypes -----------------------------------------------*/
void GPIO_ExtIntSrc(void);
void enter_STOP1(void);

void config_STOP1(void);
int is_StanbyRelease(void);
void switchFromIHOSCtoEHOSC(void);
Result CG_EnableClkMulCircuit(void);
#endif
/*********************************** END OF FILE ******************************/
