/**
 *******************************************************************************
 * @file    tmpm066_tmrd_int.c
 * @brief   all interrupt request functions definition of TMRD demo
 *          for the TOSHIBA 'TMPM066' Device Series 
 * @version V0.100
 * @date    2015/10/09
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LISENCE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA CORPORATION 2015 All rights reserved
 *******************************************************************************
 */
/* Includes ------------------------------------------------------------------*/
#include "tmpm066_intifsd.h"
#include "tmpm066_tmrd_int.h"
#include "led.h"

/**
  * @brief  TMRD interrupt service routine (500us)
  * @param  None
  * @retval None
  */
void INTTMRD_IRQHandler(void)
{
    static uint16_t timecount = 0U;

    INTIFSD_ClearINTReq(INTIFSD_INT_SRC_TMRD_00);
    INTIFSD_ClearINTReq(INTIFSD_INT_SRC_TMRD_01);
    INTIFSD_ClearINTReq(INTIFSD_INT_SRC_TMRD_02);	
    INTIFSD_ClearINTReq(INTIFSD_INT_SRC_TMRD_03);	
    INTIFSD_ClearINTReq(INTIFSD_INT_SRC_TMRD_04);
	
    timecount++;
    if (timecount == 1000U) {   /* 500ms */
        LED_Off(LED_ALL);
    } else if (timecount == 2000U) {    /* 1s */
        timecount = 0U;
        LED_On(LED_ALL);
    } else {
        /* Do nothing */
    }
}

/*********************************** END OF FILE ******************************/
