/** 
 *******************************************************************************
 * @file    led.h
 * @brief   LED functions prototypes for the TOSHIBA 'TMPM066' Device Series
 * @version V2.0.2.1
 * @date    2015/09/09
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LISENCE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA CORPORATION 2015 All rights reserved
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __LED_H
#define __LED_H

#include "TMPM066.h"
#include "tmpm066_gpio.h"

/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/

/* use PD0 to PD3 as LED output */
#define LED0     0x01U 
#define LED1     0x02U
#define LED2     0x04U
#define LED3     0x08U
#define LED_ALL  0x03U

/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* external variables --------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */
void LED_Init(void);
void LED_On(uint8_t led);
void LED_Off(uint8_t led);

#endif                          /* LED_H */
