/**
 *******************************************************************************
 * @file    tmpm066_wdt_int.c
 * @brief   All interrupt request functions definition of WDT
 *          for the TOSHIBA 'TMPM066' Device Series
 * @version V0.100
 * @date    2015/10/12
 *
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LISENCE AGREEMENT.
 *
 * (C)Copyright TOSHIBA CORPORATION 2015 All rights reserved
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "tmpm066_intifsd.h"
#include "tmpm066_wdt_int.h"
/* Global variables ----------------------------------------------------------*/
volatile uint8_t fIntNMI = 0U;
/* Private functions ---------------------------------------------------------*/

/**
  * @brief  The NMI interrupt request function.
  * @param  None
  * @retval None
  */
void NMI_Handler(void)
{
    INTIFSD_ClearINTReq(INTIFSD_INT_SRC_WDT);

    fIntNMI = 1U;
}

/*********************************** END OF FILE ******************************/
